# ChangeLog for net-analyzer/wireshark
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/ChangeLog,v 1.318 2011/09/27 17:11:06 xarthisius Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/ChangeLog,v 1.319 2011/10/08 16:27:15 pva Exp $
+
+ 08 Oct 2011; Peter Volkov <pva@gentoo.org>
+ -files/wireshark-0.99.7-asneeded.patch,
+ -files/wireshark-0.99.8-as-needed.patch,
+ -files/wireshark-1.0.5-text2pcap-protos.patch,
+ -files/wireshark-1.0-sigpipe.patch, -files/wireshark-1.1.2--as-needed.patch,
+ -files/wireshark-1.2.8-zlib-1.2.5-capture.patch,
+ -files/wireshark-1.4.6-gnutls_nettle.patch,
+ -files/wireshark-1.4.6-wspy_dissectors_dir.patch, -wireshark-1.4.8.ebuild,
+ -files/wireshark-except-double-free.diff:
+ Drop old and vulnerable.
27 Sep 2011; Kacper Kowalik <xarthisius@gentoo.org> wireshark-1.4.9.ebuild:
ppc/ppc64 stable wrt #381551
-----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
+Hash: SHA256
-AUX wireshark-0.99.7-asneeded.patch 339 RMD160 faa516dd3dfd8bd6218f66d3bedb5490b0896f5b SHA1 ec2b8952f8fe55471e923c086a6e9b48e06ce7a8 SHA256 9fc8b3ec3fcf1cca714c78c28c1883503abfcfce4fe175e43c6d7ec14ddc9478
-AUX wireshark-0.99.8-as-needed.patch 395 RMD160 2e06f641e9789db717544bfd1568e4bf6e85855c SHA1 a18b6fcc85b40c00fc1d30bcdfc81d13dc33e904 SHA256 d2f996a79fa3117296b25c10a1d4a3f0f8027a678de4e37e6c60bfb47a4754b9
-AUX wireshark-1.0-sigpipe.patch 850 RMD160 a240a1317681516d207ca1694b0e44584008530b SHA1 8f127c22daa77ce9f658f3b1d3f897e428ee9dde SHA256 3a5130838a48b65cb21b4e25913347cee05689b4641c1dfb407facf9fa4f9f59
-AUX wireshark-1.0.5-text2pcap-protos.patch 487 RMD160 20e64be01b281c48516969c508c04455111de300 SHA1 432751cd931baefba3bd13cfa07c3d9863b7c82e SHA256 991e12325670c81f4927c6dc2b665eb8c8938d8f3f0cdfab58601dd37a00d8a4
-AUX wireshark-1.1.2--as-needed.patch 830 RMD160 fd192d107147c65ef52625b51b59a2bf4e2f65c3 SHA1 7a743a42542fa59423870a0205e8ed7aa6bde70e SHA256 34aa27c611021c9a515cc4fed9778148395761bf6f4272130d3e83abcc13a499
-AUX wireshark-1.2.8-zlib-1.2.5-capture.patch 779 RMD160 7440a7d8a04a1b43057fc7c1e29540a49a77ac0f SHA1 01ab94564003bb230f15a637b355fca31774e27e SHA256 936be11853d8eaf846a28be1dce7e098d386fc58d84ed521bc4f6965e387c69d
-AUX wireshark-1.4.6-gnutls_nettle.patch 733 RMD160 9b8839b432b5c6231068d784d9fd3e151c509dd1 SHA1 2592ac7fd110cfff4b70a6456fdf655f5aca45cf SHA256 6698b83bd455b626f46c2d446a6c69f6f4c6822f63207ffb1052accde881fc76
-AUX wireshark-1.4.6-wspy_dissectors_dir.patch 460 RMD160 098cc8aa80433dff0423cf64d88be89d7716fffa SHA1 fd23ab1494482e8825c79dfc5df2cac42fbcf97d SHA256 ed59b5d0af20d3c7adffa7742c245e8640e593e519200149810df4022eb8442e
-AUX wireshark-except-double-free.diff 664 RMD160 2b61f03f5148975f6438351c11de18a500deabc5 SHA1 0239e19ba0ebd2cfb4ab4987a8a4c56646cd9250 SHA256 dc02a5f3e4bdbd128a2ba08f38880358f747661a93ca0b3fe1918c67b255c369
-DIST wireshark-1.4.8.tar.bz2 20505798 RMD160 970ada8ccbbca17695038faf4c0bca83d126d9a4 SHA1 8f9d0a920d00ac22ae0b2fa5844adbadc7e2de1e SHA256 fb393a9e6f8873de8dff5dca6f0c35a0e505eab954ef6aaeec3cecb0a4eef0da
DIST wireshark-1.4.9.tar.bz2 20604645 RMD160 e8f6d68b5b49607fa337ef05ff6bd6c5acdb2e60 SHA1 242e8faf76ec219ddc28688517865ce19c611cd6 SHA256 e554f855cba4091779feb3d9d452716a8f87a549d8c27a4e2c700b0cb12dc984
DIST wireshark-1.6.2.tar.bz2 21408664 RMD160 e343d9bb5600b236dea708bb68ecad805a9ee20a SHA1 a18d4e8eaf56fe0214b19d7fde0eb91a06817a49 SHA256 5343f514ce98c28498ec4734e40e34e2bbf779a6c57d958837e3f70234471e7f
-EBUILD wireshark-1.4.8.ebuild 6305 RMD160 8eebc2bb0bd78f3c90be6376deeabd6f6960a3f2 SHA1 6e6d361ddd121dbff10428fa19a839e52f916f11 SHA256 c18da7b2acf40155d49286c797473091701c6235123a008818dadcf8f2de0da8
EBUILD wireshark-1.4.9.ebuild 6308 RMD160 1cc754917fc9fa2b67dcde05296c031c5b3dbc58 SHA1 40233e735c52457737c555fe196ac92a9b5780de SHA256 d968bdf0343ff49a3809dfc995233ce612662bc0903afa641b3e4fb9bf18d1f5
EBUILD wireshark-1.6.2.ebuild 6315 RMD160 7bd88e4d7009dee6cc65d2e2a0ccb7411804f49e SHA1 c24b9b04671fb26c508185997ff11ca2a10ac4b4 SHA256 1eee0327c11708795aaac2af165f31bb0ee8039a1698b58ecf07f421f6551a1d
-MISC ChangeLog 45924 RMD160 ba3c9c49b703d4a41d6d34a0976c77b560107f2c SHA1 628cf1e50f2c6e7e4badb8a0f37958b05f45c4bc SHA256 d0703877be6c2622bc3ad3ee1ced27cc2103cf3b5ab744f3ddeebbdf5cf5f852
+MISC ChangeLog 46421 RMD160 5a76c88f244238827d3f0ced97ca79612f97a4a8 SHA1 7ac18c2059671e3f36486527189c78684c6ccc8d SHA256 00682096d3506c3e95974c58094c9160473b119afecca8f5ab06e04a0bf41976
MISC metadata.xml 2242 RMD160 66dbbb758acc194df17217183b60a56f61fced38 SHA1 4498ea4c0f0f04213fd1cba2fd3de44565058f7d SHA256 2dfaef45c385c37c7ae8af96f5d8c58d9bff8f6186d55be8f2d034ebd0c60869
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.18 (GNU/Linux)
+Version: GnuPG v2.0.17 (GNU/Linux)
-iJwEAQECAAYFAk6CA7MACgkQIiMqcbOVdxQe9AQAhEO6/IKKIIzzF/ZnQK1+DBe+
-XSpL4LPp+Xz8foNEEi/5LdMNY21IMZLdIlAXoBkKKRmvqxLQOtLkJjze4pa99hr9
-oyQa5e/RYICwSxyn08x2OGMIfzGEK2Ul2ZXfVjkIM0vZVkidY3qZsiZX42D85ymr
-cd9yDGh96+Wq+j7VF7M=
-=6KG2
+iF4EAREIAAYFAk6QeX8ACgkQGrk+8vGYmweargEA8rlqyFL+Y45GMhp3zFrzc3D9
+j7+vbex+n1Nj0ewRte8A/1Pjv9srCDO7cWzsbK2lZQNGGWYLzpJbGClHWtjLZQ3l
+=4aPW
-----END PGP SIGNATURE-----
+++ /dev/null
---- ./epan/dissectors/Makefile.am.orig 2007-12-11 16:38:03.000000000 +0300
-+++ ./epan/dissectors/Makefile.am 2007-12-11 16:38:37.000000000 +0300
-@@ -32,6 +32,7 @@
-
- libasndissectors_la_SOURCES = \
- $(ASN_DISSECTOR_SRC)
-+libasndissectors_la_LIBADD = ../../wiretap/libwiretap.la
-
- libpidldissectors_la_SOURCES = \
- $(PIDL_DISSECTOR_SRC)
+++ /dev/null
---- wiretap/Makefile.am.orig 2008-02-21 23:11:41.000000000 +0300
-+++ wiretap/Makefile.am 2008-02-21 23:12:08.000000000 +0300
-@@ -67,7 +67,7 @@
- $(GENERATOR_FILES) \
- $(GENERATED_FILES)
-
--libwiretap_la_LIBADD = libwiretap_generated.la
-+libwiretap_la_LIBADD = libwiretap_generated.la $(GLIB_LIBS)
- libwiretap_la_DEPENDENCIES = libwiretap_generated.la
-
- RUNLEX = $(top_srcdir)/tools/runlex.sh
+++ /dev/null
-https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1740
-https://bugs.gentoo.org/show_bug.cgi?id=260457
-
-=== modified file 'capture_opts.c'
---- capture_opts.c 2009-03-05 16:59:51 +0000
-+++ capture_opts.c 2009-03-05 17:06:49 +0000
-@@ -59,6 +59,7 @@
- # include "inet_v6defs.h"
- #endif
-
-+#include <signal.h>
- #include <glib.h>
-
- #include <epan/packet.h>
-@@ -759,6 +760,15 @@
- "Dropped");
- }
-
-+#ifndef _WIN32
-+ /* handle SIGPIPE signal to default action */
-+ struct sigaction act;
-+ act.sa_handler = SIG_DFL;
-+ sigemptyset(&act.sa_mask);
-+ act.sa_flags = SA_RESTART;
-+ sigaction(SIGPIPE,&act,NULL);
-+#endif
-+
- while (1) { /* XXX - Add signal handling? */
- for (stat_entry = g_list_first(stat_list); stat_entry != NULL; stat_entry = g_list_next(stat_entry)) {
- if_stat = stat_entry->data;
-
+++ /dev/null
-defining _XOPEN_SOURCE to nothing means the oldest version which means glibc
-will not provide the strdup() prototype. this leads to an implicit decl which
-leads to a return type of "int" -- 32bits of a ptr on a 64bit arch leads to
-kaboom.
-
-https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3161
-
---- text2pcap.c
-+++ text2pcap.c
-@@ -90,7 +90,7 @@
- # define __USE_XOPEN
- #endif
- #ifndef _XOPEN_SOURCE
--# define _XOPEN_SOURCE
-+# define _XOPEN_SOURCE 600
- #endif
-
- #include <ctype.h>
+++ /dev/null
-diff --git a/epan/Makefile.am b/epan/Makefile.am
-index b2a569d..717e233 100644
---- a/epan/Makefile.am
-+++ b/epan/Makefile.am
-@@ -130,6 +130,7 @@ libwireshark_la_LIBADD = \
- dissectors/libdirtydissectors.la $(wslua_lib) @SOCKET_LIBS@ @NSL_LIBS@ \
- @C_ARES_LIBS@ @ADNS_LIBS@ @LIBGCRYPT_LIBS@ @LIBGNUTLS_LIBS@ \
- @KRB5_LIBS@ @SSL_LIBS@ @LIBSMI_LDFLAGS@ @GEOIP_LIBS@ \
-+ ${top_builddir}/wiretap/libwiretap.la \
- ${top_builddir}/wsutil/libwsutil.la -lm
-
- libwireshark_la_DEPENDENCIES = \
-@@ -137,6 +138,7 @@ libwireshark_la_DEPENDENCIES = \
- libwireshark_asmopt.la crypt/libairpdcap.la ftypes/libftypes.la \
- dfilter/libdfilter.la dissectors/libdissectors.la \
- dissectors/libdirtydissectors.la $(wslua_lib) \
-+ ${top_builddir}/wiretap/libwiretap.la \
- ${top_builddir}/wsutil/libwsutil.la
-
- #EXTRA_PROGRAMS = reassemble_test
+++ /dev/null
-http://anonsvn.wireshark.org/viewvc?view=rev&revision=32715
-
---- trunk/wiretap/wtap.c 2010/05/07 19:24:32 32714
-+++ trunk/wiretap/wtap.c 2010/05/07 19:45:47 32715
-@@ -35,6 +35,10 @@
- #include <unistd.h>
- #endif
-
-+#ifdef HAVE_LIBZ
-+#include <zlib.h>
-+#endif
-+
- #include "wtap-int.h"
- #include "wtap.h"
-
-@@ -646,6 +650,14 @@
- */
- wth->phdr.pkt_encap = wth->file_encap;
-
-+#if defined(ZLIB_VERNUM) && ZLIB_VERNUM == 0x1250
-+ /* Reset EOF */
-+ /* g_log(NULL, G_LOG_LEVEL_DEBUG, "wtap_read: eof before seek: %d", gzeof(wth->fh)); */
-+ if (gzeof(wth->fh))
-+ gzseek(wth->fh, 0, SEEK_CUR);
-+ /* g_log(NULL, G_LOG_LEVEL_DEBUG, "wtap_read: eof after seek: %d", gzeof(wth->fh)); */
-+#endif
-+
- if (!wth->subtype_read(wth, err, err_info, data_offset))
- return FALSE; /* failure */
-
+++ /dev/null
-https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5800
-
-Index: epan/dissectors/packet-ssl-utils.c
-===================================================================
---- epan/dissectors/packet-ssl-utils.c (revision 37067)
-+++ epan/dissectors/packet-ssl-utils.c (working copy)
-@@ -946,7 +946,7 @@
- str->data_len = len;
- }
-
--#ifdef HAVE_LIBGNUTLS
-+#if defined(HAVE_LIBGNUTLS) && defined(HAVE_LIBGCRYPT)
-
- static gint ver_major, ver_minor, ver_patch;
-
-@@ -2747,7 +2747,7 @@
- sscanf(str, "%d.%d.%d", &ver_major, &ver_minor, &ver_patch);
- }
-
--#else /* HAVE_LIBGNUTLS */
-+#else /* defined(HAVE_LIBGNUTLS) && defined(HAVE_LIBGCRYPT) */
- /* no libgnutl: dummy operation to keep interface consistent*/
- void
- ssl_lib_init(void)
+++ /dev/null
-https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5872
-
---- epan/wspython/Makefile.am 2011-04-29 06:57:10 +0000
-+++ epan/wspython/Makefile.am 2011-04-29 07:15:20 +0000
-@@ -44,12 +44,14 @@
- libwspython_la_CFLAGS = @PY_CFLAGS@
-
- wspythondir=@pythondir@
-+wspythondissectorsdir=@pythondir@/wspy_dissectors
-
- wspython_DATA= \
- register-dissector.py \
- wspy_dissector.py \
- wspy_libws.py
-
-+wspythondissectors_DATA=
-
- EXTRA_DIST = \
- Makefile.common \
-
+++ /dev/null
-Index: except.c
-===================================================================
---- except.c (revision 19876)
-+++ except.c (working copy)
-@@ -192,6 +192,11 @@
-
- assert (top->except_type == XCEPT_CATCHER);
- except_free(catcher->except_obj.except_dyndata);
-+ /* make sure no else can free this pointer again
-+ See http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1001
-+ http://bugs.gentoo.org/show_bug.cgi?id=133092
-+ http://bugs.gentoo.org/show_bug.cgi?id=145974 */
-+ catcher->except_obj.except_dyndata = NULL;
-
- for (i = 0; i < catcher->except_size; pi++, i++) {
- if (match(&except->except_id, pi)) {
+++ /dev/null
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.4.8.ebuild,v 1.6 2011/08/07 16:48:43 armin76 Exp $
-
-EAPI="3"
-PYTHON_DEPEND="python? 2"
-inherit libtool flag-o-matic eutils toolchain-funcs python autotools
-
-[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
-DESCRIPTION="A network protocol analyzer formerly known as ethereal"
-HOMEPAGE="http://www.wireshark.org/"
-SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
-IUSE="adns ares doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
-profile +pcap portaudio python +caps selinux smi ssl threads zlib"
-
-RDEPEND=">=dev-libs/glib-2.14:2
- zlib? ( sys-libs/zlib
- !=sys-libs/zlib-1.2.4 )
- smi? ( net-libs/libsmi )
- gtk? ( >=x11-libs/gtk+-2.4.0:2
- x11-libs/pango
- dev-libs/atk
- x11-misc/xdg-utils )
- ssl? ( net-libs/gnutls )
- gcrypt? ( dev-libs/libgcrypt )
- pcap? ( net-libs/libpcap )
- caps? ( sys-libs/libcap )
- kerberos? ( virtual/krb5 )
- portaudio? ( media-libs/portaudio )
- ares? ( >=net-dns/c-ares-1.5 )
- !ares? ( adns? ( net-libs/adns ) )
- geoip? ( dev-libs/geoip )
- lua? ( >=dev-lang/lua-5.1 )
- selinux? ( sec-policy/selinux-wireshark )"
-
-DEPEND="${RDEPEND}
- doc? ( dev-libs/libxslt
- app-text/docbook-xml-dtd:4.2
- dev-libs/libxml2
- app-doc/doxygen
- doc-pdf? ( dev-java/fop ) )
- >=dev-util/pkgconfig-0.15.0
- dev-lang/perl
- sys-devel/bison
- sys-apps/sed
- sys-devel/flex"
-
-S=${WORKDIR}/${MY_P}
-
-# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
-# @FUNCTION: fcaps
-# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
-# @RETURN: 0 if all okay; non-zero if failure and fallback
-# @DESCRIPTION:
-# fcaps sets the specified capabilities in the effective and permitted set of
-# the given file. In case of failure fcaps sets the given file-mode.
-fcaps() {
- local uid_gid=$1
- local perms=$2
- local capset=$3
- local path=$4
- local res
-
- chmod $perms $path && \
- chown $uid_gid $path
- res=$?
-
- use caps || return $res
-
- #set the capability
- setcap "$capset=ep" "$path" &> /dev/null
- #check if the capabilitiy got set correctly
- setcap -v "$capset=ep" "$path" &> /dev/null
- res=$?
-
- if [ $res -ne 0 ]; then
- ewarn "Failed to set capabilities. Probable reason is missed kernel support."
- ewarn "Kernel must have SECURITY_FILE_CAPABILITIES, and <FS>_FS_SECURITY"
- ewarn "enabled (e.g. EXT3_FS_SECURITY) where <FS> is the filesystem to store"
- ewarn "${path}"
- ewarn
- ewarn "Falling back to suid now..."
- chmod u+s ${path}
- fi
- return $res
-}
-
-pkg_setup() {
- if ! use gtk; then
- ewarn "USE=-gtk disables gtk-based gui called wireshark."
- ewarn "Only command line utils will be built available"
- fi
- if use python; then
- python_set_active_version 2
- python_pkg_setup
- fi
- # Add group for users allowed to sniff.
- enewgroup wireshark
-}
-
-src_configure() {
- local myconf
-
- if [[ $(gcc-major-version) -lt 3 ||
- ( $(gcc-major-version) -eq 3 &&
- $(gcc-minor-version) -le 4 ) ]] ; then
- die "Unsupported compiler version, please upgrade."
- fi
-
- if use ares && use adns; then
- elog "You asked for both, ares and adns, but we can use only one of them."
- elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
- myconf="$(use_with ares c-ares) --without-adns"
- else
- myconf="$(use_with adns) $(use_with ares c-ares)"
- fi
-
- # profile and pie are incompatible #215806, #292991
- if use profile; then
- ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
- ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
- append-flags $(test-flags-CC -nopie)
- fi
-
- # Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
- # --with-ssl to ./configure. (Mimics code from acinclude.m4).
- if use kerberos; then
- case `krb5-config --libs` in
- *-lcrypto*)
- ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
- ewarn "Note there are annoying license incompatibilities between the OpenSSL"
- ewarn "license and the GPL, so do your check before distributing such package."
- myconf+=" --with-ssl"
- ;;
- esac
- fi
-
- # Hack around inability to disable doxygen/fop doc generation
- use doc || export ac_cv_prog_HAVE_DOXYGEN=false
- use doc-pdf || export ac_cv_prog_HAVE_FOP=false
-
- # dumpcap requires libcap, setuid-install requires dumpcap
- econf $(use_enable gtk wireshark) \
- $(use_enable profile profile-build) \
- $(use_with ssl gnutls) \
- $(use_with gcrypt) \
- $(use_enable ipv6) \
- $(use_enable threads) \
- $(use_with lua) \
- $(use_with kerberos krb5) \
- $(use_with smi libsmi) \
- $(use_with pcap) \
- $(use_with zlib) \
- $(use_with geoip) \
- $(use_with portaudio) \
- $(use_with python) \
- $(use_with caps libcap) \
- $(use pcap && use_enable caps setcap-install) \
- $(use pcap && use_enable !caps setuid-install) \
- --sysconfdir=/etc/wireshark \
- --with-dumpcap-group=wireshark \
- --disable-extra-gcc-checks \
- ${myconf}
-}
-
-src_compile() {
- emake || die
- use doc && cd docbook && { emake || die; }
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
- if use doc; then
- dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
- if use doc-pdf; then
- insinto /usr/share/doc/${PF}/pdf/
- doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
- fi
- fi
-
- # FAQ is not required as is installed from help/faq.txt
- dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
- doc/{randpkt.txt,README*}
-
- insinto /usr/include/wiretap
- doins wiretap/wtap.h || die
-
- if use gtk; then
- for c in hi lo; do
- for d in 16 32 48; do
- insinto /usr/share/icons/${c}color/${d}x${d}/apps
- newins image/${c}${d}-app-wireshark.png wireshark.png
- done
- done
- domenu wireshark.desktop || die
- fi
- chmod o-x "${ED}"/usr/bin/dumpcap #357237
-}
-
-pkg_postinst() {
- if use caps && use pcap; then
- fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${ROOT}"/usr/bin/dumpcap
- fi
- echo
- ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
- ewarn "the wireshark group. This security measure ensures that only trusted"
- ewarn "users are allowed to sniff your traffic."
- echo
-}